import 'package:chat/models/im/custom_message_model.dart';

class EvaluationModel extends CustomMessageModel {
  @override
  String businessID;
  int version;
  double score;
  String comment;

  EvaluationModel({
    this.businessID = 'evaluation',
    required this.version,
    required this.score,
    required this.comment,
  });

  factory EvaluationModel.fromJson(Map<String, dynamic> json) =>
      EvaluationModel(
        businessID: json['businessID'],
        version: json['version'],
        score: double.parse(json['score']),
        comment: json['comment'],
      );

  @override
  String toJson() {
    return '';
  }
}
